 .INCLUDE "snes_io.inc"
 .INCLUDE "snes_ppu.inc"
 
 
 .EQU XY_8BIT $10
 .EQU A_8BIT  $20
 .EQU ALL_8BIT $30


; Make all registers (A, X, Y) 16-bit
 .MACRO CPU_REGS16
 	REP	#ALL_8BIT
 .ENDM
 
 ; Make all registers 8-bit
 .MACRO CPU_REGS8
 	SEP	#ALL_8BIT
 .ENDM
 
 ; Make the accumulator 16-bit
 .MACRO CPU_ACC16
 	REP 	#A_8BIT
 .ENDM
  
 .MACRO CPU_ACC8
 	SEP	#A_8BIT
 .ENDM
 
  ; Make the index registers 16-bit
 .MACRO CPU_XY16
 	REP	#XY_8BIT
 .ENDM
 
 
 .MACRO CPU_XY8
 	SEP	#XY_8BIT
 .ENDM
 